org.apache.ignite.internal.visor.cache

## Class VisorCacheAffinityNodeTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorCacheAffinityNodeTaskArg,UUID>
    - - org.apache.ignite.internal.visor.cache.VisorCacheAffinityNodeTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheAffinityNodeTaskArg>,UUID>

    @GridInternal
    public class VisorCacheAffinityNodeTask
    extends VisorOneNodeTask<VisorCacheAffinityNodeTaskArg,UUID>

Task that will find affinity node for key.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheAffinityNodeTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheAffinityNodeTask.VisorCacheAffinityNodeJob` `job(VisorCacheAffinityNodeTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheAffinityNodeTask

    public VisorCacheAffinityNodeTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheAffinityNodeTask.VisorCacheAffinityNodeJob job(VisorCacheAffinityNodeTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheAffinityNodeTaskArg,UUID,UUID>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017